%{?nodejs_find_provides_and_requires}
Name:                nodejs-asn1
Version:             0.1.11
Release:             1
Summary:             Contains parsers and serializers for ASN.1 (currently BER only)
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
License:             MIT
URL:                 https://github.com/mcavage/node-asn1
Source0:             https://registry.npmjs.org/asn1/-/asn1-%{version}.tgz
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tap)
%description
nodejs-asn1 is a library for encoding and decoding Abstract Syntax Notation One
(ASN.1) datatypes in pure JavaScript. ASN.1 is  is a standard and notation that
describes rules and structures for representing, encoding, transmitting, and
decoding data in telecommunications and computer networking.
Currently Basic Encoding Rules (BER) encoding is supported; at some point
Distinguished Encoding Rules (DER) will likely also be supported.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/asn1
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/asn1
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap tst/ber/*.js

%files
%{nodejs_sitelib}/asn1
%doc README.md
%license LICENSE

%changelog
* Sat Aug 8 2020 wutao <wutao61@huawei.com> - 0.1.11-1
- package init
